#pragma once

#include <vector>
#include "IServiceLocator.h"
#include "IPlugin.h"


struct __declspec(novtable) __declspec(uuid("{53A5529B-10C0-47a5-B6B2-49BF374873AF}")) IPluginManager
	: public IService
{
	virtual void LoadPlugins() = 0;
	virtual void UnloadPlugins() = 0;

	virtual std::vector<IDirect3D9BasePlugin*> get_Plugins() const = 0;
};
